package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class GoblinStoreOrderListSkuVo implements Cloneable {
    @ApiModelProperty(value = "skuId")
    private String orderSkuId;
    @ApiModelProperty(value = "skuId")
    private String skuId;
    @ApiModelProperty(value = "sku名称")
    private String skuName;
    @ApiModelProperty(value = "款式")
    private String skuSpecs;
    @ApiModelProperty(value = "图片")
    private String skuImage;
    @ApiModelProperty(value = " 数量")
    private Integer num;
    @ApiModelProperty(value = " 价格")
    private BigDecimal skuPriceActual;
//todo hujiachen 缺券相关 活动相关

    private static final GoblinStoreOrderListSkuVo obj = new GoblinStoreOrderListSkuVo();

    public static GoblinStoreOrderListSkuVo getNew() {
        try {
            return (GoblinStoreOrderListSkuVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreOrderListSkuVo();
        }
    }
}
